Skip to main content

UpdateWitness

POST

Edit the URL of the SR's official website.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
owner_addressstringrequired
Super Representative (SR) address. (Format: Base58 or Hex)
update_urlstringrequired
New official website URL for the Super Representative (SR).
Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
owner_addressstring
Super Representative (SR) address.
update_urlstring
SR‘s Updated URL.
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/updatewitness' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'